Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface Platform

    org.gradle.nativebinaries.Platform
      org.gradle.api.Named

All Superinterfaces:
  Named

    @Incubating
    @HasInternalProtocol
    public interface Platform
    extends Named

A target platform for building native binaries. Each target platform is given a name, and may optionally be given a specific Architecture and/or OperatingSystem to target.

         targetPlatforms {
             windows_x86 {
                 architecture "i386"
                 operatingSystem "windows"
             }
         }

Method Summary
`void` | `architecture(Object notation)` Sets the cpu architecture being targeted.
`Architecture` | `getArchitecture()` The cpu architecture being targeted.
`OperatingSystem` | `getOperatingSystem()` The operating system being targeted.
`void` | `operatingSystem(Object notation)` Sets the operating system being targeted.

Methods inherited from interface Named
getName

Method Detail

### architecture

    public void architecture(Object notation)

  Sets the cpu architecture being targeted. The architecture is provided as a string name, which is translated into one of the supported architecture types.

  Instruction Set | 32-bit names | 64-bit names
  --- | --- | ---
  Intel x86 | "x86", "i386", "ia-32" | "x86_64", "amd64", "x64", "x86-64"
  Intel Itanium |  | "ia-64"
  Power PC | "ppc" | "ppc64"
  Sparc | "sparc", "sparc32", "sparc-v7", "sparc-v8" | "sparc64", "ultrasparc", "sparc-v9"
  ARM | "arm" |

### getArchitecture

    public Architecture getArchitecture()

  The cpu architecture being targeted. Defaults to the default architecture produced by the tool chain.

### getOperatingSystem

    public OperatingSystem getOperatingSystem()

  The operating system being targeted. Defaults to the default operating system targeted by the tool chain (normally the current operating system).

### operatingSystem

    public void operatingSystem(Object notation)

  Sets the operating system being targeted. The operating system is provided as a string name, which is translated into one of the supported operating system types.

  Operating System | Aliases
  --- | ---
  Windows | "windows"
  GNU/Linux | "linux"
  Mac OS X | "osx", "mac os x", "darwin"
  Solaris | "solaris", "sunos"

Gradle API 1.10